#version 330

layout(points) in;
layout(triangle_strip, max_vertices=4) out;

in vec4 gColor[1];
out vec4 fColor;

uniform float width;
uniform float height;

void main()
{
	const float map_width = 0.30;
	float map_height = map_width / width * height;

	vec2 dim = vec2(map_width / width, map_height / height);

	vec2 pos = gl_in[0].gl_Position.xy + 0.5;
	pos.y = height - pos.y;

	//vec2 pos = gl_in[0].gl_Position.xy / dim + vec2(1.0 - 0.30, -1.0);
	
	
	gl_Position = vec4((pos.xy + vec2(-0.5, 0.5)) * dim + vec2(1.0 - map_width, -1.0), 0, 1);
	fColor = gColor[0];
	EmitVertex();
	gl_Position = vec4((pos.xy + vec2(-0.5, -0.5)) * dim + vec2(1.0 - map_width, -1.0), 0, 1);
	fColor = gColor[0];
	EmitVertex();

	gl_Position = vec4((pos.xy + vec2(0.5, 0.5)) * dim + vec2(1.0 - map_width, -1.0), 0, 1);
	fColor = gColor[0];
	EmitVertex();
	
	gl_Position = vec4((pos.xy + vec2(0.5, -0.5)) * dim + vec2(1.0 - map_width, -1.0), 0, 1);
	fColor = gColor[0];
	EmitVertex();
	
	EndPrimitive();
}
