#version 330 core

layout(location = 0) in vec2 pos;
layout(location = 1) in vec2 texCoord;

uniform float width;
uniform float height;

out vec2 fTexCoord;

void main()
{
	const float map_width = 0.30;
	float map_height = map_width / width * height;

	float tx = 1.0 - map_width;
	float ty = 1.0 - map_height;
	 
	gl_Position = vec4(tx + pos.x / width * map_width, pos.y / height * map_height - 1.0, 0.0, 1.0);
	fTexCoord = texCoord;
}
